# ``twisted`.`cred`.`credentials`.`UsernamePassword``

class documentation

`class UsernamePassword: (source)`

Known subclasses: `twisted.mail._cred.LOGINCredentials`, `twisted.mail._cred.PLAINCredentials`

Implements interfaces: `twisted.cred.credentials.IUsernamePassword`

View In Hierarchy

Undocumented

Method | `__init__` | Undocumented
Method | `checkPassword` | Validate these credentials against the correct password.
Instance Variable | `password` | Undocumented
Instance Variable | `username` | Undocumented

def __init__(self, username, password): (source)
overridden in `twisted.mail._cred.LOGINCredentials`, `twisted.mail._cred.PLAINCredentials`

Undocumented

def checkPassword(self, password): (source)
from `twisted.cred.credentials.IUsernamePassword`
Validate these credentials against the correct password.

Parameters
password:`bytes` | The correct, plaintext password against which to check.
Returns
`bool` or `Deferred` | `True` if the credentials represented by this object match the given password, `False` if they do not, or a `Deferred` which will be called back with one of these values.

password = (source)
from `twisted.cred.credentials.IUsernamePassword`
overridden in `twisted.mail._cred.PLAINCredentials`

Undocumented

username = (source)
from `twisted.cred.credentials.IUsernamePassword`
overridden in `twisted.mail._cred.PLAINCredentials`

Undocumented